Bug 17476 - Failed test 'Create DateTime with dt_from_string() for 2100-01-01 with TZ in less than 2s'
Summary: Failed test 'Create DateTime with dt_from_string() for 2100-01-01 with TZ in ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-20 12:18 UTC by Mirko Tietgen
Modified: 2017-06-14 22:17 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17476: Add a way to bypass dt_from_string processing time for slow servers (2.21 KB, patch)
2016-10-21 07:20 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17476: Add a way to bypass dt_from_string processing time for slow servers (2.25 KB, patch)
2016-10-21 10:08 UTC, Mirko Tietgen
Details | Diff | Splinter Review
[PASSED QA] Bug 17476: Add a way to bypass dt_from_string processing time for slow servers (2.32 KB, patch)
2016-11-06 10:50 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Mirko Tietgen 2016-10-20 12:18:06 UTC
A test for DateUtils.t fails on slow servers. There should be a way to skip it.

#   Failed test 'Create DateTime with dt_from_string() for 2100-01-01 with TZ in less than 2s'
#   at t/DateUtils.t line 82.
#     '2.51043486595154'
#         <
#     '2'
# Looks like you failed 1 test of 60.
t/DateUtils.t .......................
Comment 1 Jonathan Druart 2016-10-21 07:20:18 UTC
Created attachment 56716 [details] [review]
Bug 17476: Add a way to bypass dt_from_string processing time for slow servers

    Bug 17476: Add a way to bypass dt_from_string processing time for slow servers
    
    We already change this value from 1 to 2 but apparently it's not enough
    So let's switch it back to on and add a flag (env var SLOW_SERVER) and skip these tests
    if set
    
    Test plan:
      prove t/DateUtils.t
    and
      SLOW_SERVER=1 prove t/DateUtils.t
    
    should return green
Comment 2 Mirko Tietgen 2016-10-21 10:08:00 UTC
Created attachment 56719 [details] [review]
Bug 17476: Add a way to bypass dt_from_string processing time for slow servers

We already change this value from 1 to 2 but apparently it's not enough
So let's switch it back to on and add a flag (env var SLOW_SERVER) and skip these tests
if set

Test plan:
  prove t/DateUtils.t
and
  SLOW_SERVER=1 prove t/DateUtils.t

should return green

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 3 Katrin Fischer 2016-11-06 10:50:13 UTC
Created attachment 57232 [details] [review]
[PASSED QA] Bug 17476: Add a way to bypass dt_from_string processing time for slow servers

We already change this value from 1 to 2 but apparently it's not enough
So let's switch it back to on and add a flag (env var SLOW_SERVER) and skip these tests
if set

Test plan:
  prove t/DateUtils.t
and
  SLOW_SERVER=1 prove t/DateUtils.t

should return green

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>

Signed-off-by: Katrin Fischer  <katrin.fischer@bsz-bw.de>
Comment 4 Kyle M Hall 2016-11-07 16:37:07 UTC
Pushed to master for 16.11, thanks Jonathan!
Comment 5 Mason James 2016-12-14 10:07:26 UTC
Pushed to 16.05.x, for 16.05.06 release